{{ if .Values.database.db_engine.mssql.enabled }}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ template "app.fullname" . }}-mssql-init
  labels:
    app.kubernetes.io/name: {{ include "app.name" . }}
    helm.sh/chart: {{ include "app.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
data:
  init-mssql.sql: |
    USE [master];
    GO

    CREATE DATABASE [jfw];
    GO

{{ end }}